summaryrefslogtreecommitdiffstats
path: root/network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild')
-rw-r--r--network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild b/network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild
new file mode 100644
index 0000000000..fcb178f674
--- /dev/null
+++ b/network/lorawan-stack-cli/lorawan-stack-cli.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+# Slackware build script for <lorawan-stack-cli>
+#
+# Copyright 2023, Michales Michaloudes (clavisound), Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=lorawan-stack-cli
+VERSION=${VERSION:-3.26.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+TMP=${TMP:-/tmp/SBo}
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SRCNAME="${PRGNAM}_${VERSION}_linux_386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCNAME="${PRGNAM}_${VERSION}_linux_amd64"
+elif [ "$ARCH" = "arm64" ]; then
+ SRCNAME="${PRGNAM}_${VERSION}_linux_arm64"
+elif [ "$ARCH" = "armv7" ]; then
+ SRCNAME="${PRGNAM}_${VERSION}_linux_armv7"
+elif [ "$ARCH" = "armv6" ]; then
+ SRCNAME="${PRGNAM}_${VERSION}_linux_armv6"
+else
+ echo "Error: suitables ARCH are i586, x86_64, arm64, armv7, armv6"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAME.tar.gz
+mv $SRCNAME $PRGNAM-$VERSION # lorawan-stack-cli_X.Y.Z_linux_ARCH to lorawan-stack-cli-X.Y.Z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp $TMP/$PRGNAM-$VERSION/ttn-lw-cli $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/bash-completion/completions/
+cp $TMP/$PRGNAM-$VERSION/config/completion/bash/ttn-lw-cli $PKG/usr/share/bash-completion/completions/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE